dav1d: Dav1dFrameHeader Struct Reference

dav1d 1.4.0 dav1d is an AV1 decoder

Loading...
Searching...
No Matches
Data Structures | Data Fields
Dav1dFrameHeader Struct Reference

`#include <headers.h>`

Collaboration diagram for Dav1dFrameHeader:
[legend]

## Data Structures
struct | Dav1dFrameHeaderOperatingPoint

## Data Fields
struct { |
Dav1dFilmGrainData data |
uint8_t present |
uint8_t update |
} | film_grain |
| film grain parameters
enum Dav1dFrameType | frame_type
| type of the picture
int | width [2]
int | height
uint8_t | frame_offset
| frame number
uint8_t | temporal_id
| temporal id of the frame for SVC
uint8_t | spatial_id
| spatial id of the frame for SVC
uint8_t | show_existing_frame
uint8_t | existing_frame_idx
uint32_t | frame_id
uint32_t | frame_presentation_delay
uint8_t | show_frame
uint8_t | showable_frame
uint8_t | error_resilient_mode
uint8_t | disable_cdf_update
uint8_t | allow_screen_content_tools
uint8_t | force_integer_mv
uint8_t | frame_size_override
uint8_t | primary_ref_frame
uint8_t | buffer_removal_time_present
struct Dav1dFrameHeader::Dav1dFrameHeaderOperatingPoint | operating_points [DAV1D_MAX_OPERATING_POINTS]
uint8_t | refresh_frame_flags
int | render_width
int | render_height
struct { |
uint8_t width_scale_denominator |
uint8_t enabled |
} | super_res |
uint8_t | have_render_size
uint8_t | allow_intrabc
uint8_t | frame_ref_short_signaling
int8_t | refidx [DAV1D_REFS_PER_FRAME]
uint8_t | hp
enum Dav1dFilterMode | subpel_filter_mode
uint8_t | switchable_motion_mode
uint8_t | use_ref_frame_mvs
uint8_t | refresh_context
struct { |
uint8_t uniform |
uint8_t n_bytes |
uint8_t min_log2_cols |
uint8_t max_log2_cols |
uint8_t log2_cols |
uint8_t cols |
uint8_t min_log2_rows |
uint8_t max_log2_rows |
uint8_t log2_rows |
uint8_t rows |
uint16_t col_start_sb [DAV1D_MAX_TILE_COLS+1] |
uint16_t row_start_sb [DAV1D_MAX_TILE_ROWS+1] |
uint16_t update |
} | tiling |
struct { |
uint8_t yac |
int8_t ydc_delta |
int8_t udc_delta |
int8_t uac_delta |
int8_t vdc_delta |
int8_t vac_delta |
uint8_t qm |
uint8_t qm_y |
uint8_t qm_u |
uint8_t qm_v |
} | quant |
struct { |
uint8_t enabled |
uint8_t update_map |
uint8_t temporal |
uint8_t update_data |
Dav1dSegmentationDataSet seg_data |
uint8_t lossless [DAV1D_MAX_SEGMENTS] |
uint8_t qidx [DAV1D_MAX_SEGMENTS] |
} | segmentation |
struct { |
struct { |
uint8_t present |
uint8_t res_log2 |
} q |
struct { |
uint8_t present |
uint8_t res_log2 |
uint8_t multi |
} lf |
} | delta |
uint8_t | all_lossless
struct { |
uint8_t level_y [2] |
uint8_t level_u |
uint8_t level_v |
uint8_t mode_ref_delta_enabled |
uint8_t mode_ref_delta_update |
Dav1dLoopfilterModeRefDeltas mode_ref_deltas |
uint8_t sharpness |
} | loopfilter |
struct { |
uint8_t damping |
uint8_t n_bits |
uint8_t y_strength [DAV1D_MAX_CDEF_STRENGTHS] |
uint8_t uv_strength [DAV1D_MAX_CDEF_STRENGTHS] |
} | cdef |
struct { |
enum Dav1dRestorationType type [3] |
uint8_t unit_size [2] |
} | restoration |
enum Dav1dTxfmMode | txfm_mode
uint8_t | switchable_comp_refs
uint8_t | skip_mode_allowed
uint8_t | skip_mode_enabled
int8_t | skip_mode_refs [2]
uint8_t | warp_motion
uint8_t | reduced_txtp_set
Dav1dWarpedMotionParams | gmv [DAV1D_REFS_PER_FRAME]

## Field Documentation

## ◆ all_lossless

uint8_t Dav1dFrameHeader::all_lossless

## ◆ allow_intrabc

uint8_t Dav1dFrameHeader::allow_intrabc

## ◆ allow_screen_content_tools

uint8_t Dav1dFrameHeader::allow_screen_content_tools

## ◆ buffer_removal_time_present

uint8_t Dav1dFrameHeader::buffer_removal_time_present

## ◆ [struct]

struct { ... } Dav1dFrameHeader::cdef

## ◆ col_start_sb

uint16_t Dav1dFrameHeader::col_start_sb[DAV1D_MAX_TILE_COLS+1]

## ◆ cols

uint8_t Dav1dFrameHeader::cols

## ◆ damping

uint8_t Dav1dFrameHeader::damping

## ◆ data

Dav1dFilmGrainData Dav1dFrameHeader::data

## ◆ [struct]

struct { ... } Dav1dFrameHeader::delta

## ◆ disable_cdf_update

uint8_t Dav1dFrameHeader::disable_cdf_update

## ◆ enabled

uint8_t Dav1dFrameHeader::enabled

## ◆ error_resilient_mode

uint8_t Dav1dFrameHeader::error_resilient_mode

## ◆ existing_frame_idx

uint8_t Dav1dFrameHeader::existing_frame_idx

## ◆ [struct]

struct { ... } Dav1dFrameHeader::film_grain

film grain parameters

## ◆ force_integer_mv

uint8_t Dav1dFrameHeader::force_integer_mv

## ◆ frame_id

uint32_t Dav1dFrameHeader::frame_id

## ◆ frame_offset

uint8_t Dav1dFrameHeader::frame_offset

frame number

## ◆ frame_presentation_delay

uint32_t Dav1dFrameHeader::frame_presentation_delay

## ◆ frame_ref_short_signaling

uint8_t Dav1dFrameHeader::frame_ref_short_signaling

## ◆ frame_size_override

uint8_t Dav1dFrameHeader::frame_size_override

## ◆ frame_type

enum Dav1dFrameType Dav1dFrameHeader::frame_type

type of the picture

## ◆ gmv

Dav1dWarpedMotionParams Dav1dFrameHeader::gmv[DAV1D_REFS_PER_FRAME]

## ◆ have_render_size

uint8_t Dav1dFrameHeader::have_render_size

## ◆ height

int Dav1dFrameHeader::height

## ◆ hp

uint8_t Dav1dFrameHeader::hp

## ◆ level_u

uint8_t Dav1dFrameHeader::level_u

## ◆ level_v

uint8_t Dav1dFrameHeader::level_v

## ◆ level_y

uint8_t Dav1dFrameHeader::level_y[2]

## ◆ [struct]

struct { ... } Dav1dFrameHeader::lf

## ◆ log2_cols

uint8_t Dav1dFrameHeader::log2_cols

## ◆ log2_rows

uint8_t Dav1dFrameHeader::log2_rows

## ◆ [struct]

struct { ... } Dav1dFrameHeader::loopfilter

## ◆ lossless

uint8_t Dav1dFrameHeader::lossless[DAV1D_MAX_SEGMENTS]

## ◆ max_log2_cols

uint8_t Dav1dFrameHeader::max_log2_cols

## ◆ max_log2_rows

uint8_t Dav1dFrameHeader::max_log2_rows

## ◆ min_log2_cols

uint8_t Dav1dFrameHeader::min_log2_cols

## ◆ min_log2_rows

uint8_t Dav1dFrameHeader::min_log2_rows

## ◆ mode_ref_delta_enabled

uint8_t Dav1dFrameHeader::mode_ref_delta_enabled

## ◆ mode_ref_delta_update

uint8_t Dav1dFrameHeader::mode_ref_delta_update

## ◆ mode_ref_deltas

Dav1dLoopfilterModeRefDeltas Dav1dFrameHeader::mode_ref_deltas

## ◆ multi

uint8_t Dav1dFrameHeader::multi

## ◆ n_bits

uint8_t Dav1dFrameHeader::n_bits

## ◆ n_bytes

uint8_t Dav1dFrameHeader::n_bytes

## ◆ operating_points

struct Dav1dFrameHeader::Dav1dFrameHeaderOperatingPoint Dav1dFrameHeader::operating_points[DAV1D_MAX_OPERATING_POINTS]

## ◆ present

uint8_t Dav1dFrameHeader::present

## ◆ primary_ref_frame

uint8_t Dav1dFrameHeader::primary_ref_frame

## ◆ [struct]

struct { ... } Dav1dFrameHeader::q

## ◆ qidx

uint8_t Dav1dFrameHeader::qidx[DAV1D_MAX_SEGMENTS]

## ◆ qm

uint8_t Dav1dFrameHeader::qm

## ◆ qm_u

uint8_t Dav1dFrameHeader::qm_u

## ◆ qm_v

uint8_t Dav1dFrameHeader::qm_v

## ◆ qm_y

uint8_t Dav1dFrameHeader::qm_y

## ◆ [struct]

struct { ... } Dav1dFrameHeader::quant

## ◆ reduced_txtp_set

uint8_t Dav1dFrameHeader::reduced_txtp_set

## ◆ refidx

int8_t Dav1dFrameHeader::refidx[DAV1D_REFS_PER_FRAME]

## ◆ refresh_context

uint8_t Dav1dFrameHeader::refresh_context

## ◆ refresh_frame_flags

uint8_t Dav1dFrameHeader::refresh_frame_flags

## ◆ render_height

int Dav1dFrameHeader::render_height

## ◆ render_width

int Dav1dFrameHeader::render_width

## ◆ res_log2

uint8_t Dav1dFrameHeader::res_log2

## ◆ [struct]

struct { ... } Dav1dFrameHeader::restoration

## ◆ row_start_sb

uint16_t Dav1dFrameHeader::row_start_sb[DAV1D_MAX_TILE_ROWS+1]

## ◆ rows

uint8_t Dav1dFrameHeader::rows

## ◆ seg_data

Dav1dSegmentationDataSet Dav1dFrameHeader::seg_data

## ◆ [struct]

struct { ... } Dav1dFrameHeader::segmentation

## ◆ sharpness

uint8_t Dav1dFrameHeader::sharpness

## ◆ show_existing_frame

uint8_t Dav1dFrameHeader::show_existing_frame

## ◆ show_frame

uint8_t Dav1dFrameHeader::show_frame

## ◆ showable_frame

uint8_t Dav1dFrameHeader::showable_frame

## ◆ skip_mode_allowed

uint8_t Dav1dFrameHeader::skip_mode_allowed

## ◆ skip_mode_enabled

uint8_t Dav1dFrameHeader::skip_mode_enabled

## ◆ skip_mode_refs

int8_t Dav1dFrameHeader::skip_mode_refs[2]

## ◆ spatial_id

uint8_t Dav1dFrameHeader::spatial_id

spatial id of the frame for SVC

## ◆ subpel_filter_mode

enum Dav1dFilterMode Dav1dFrameHeader::subpel_filter_mode

## ◆ [struct]

struct { ... } Dav1dFrameHeader::super_res

## ◆ switchable_comp_refs

uint8_t Dav1dFrameHeader::switchable_comp_refs

## ◆ switchable_motion_mode

uint8_t Dav1dFrameHeader::switchable_motion_mode

## ◆ temporal

uint8_t Dav1dFrameHeader::temporal

## ◆ temporal_id

uint8_t Dav1dFrameHeader::temporal_id

temporal id of the frame for SVC

## ◆ [struct]

struct { ... } Dav1dFrameHeader::tiling

## ◆ txfm_mode

enum Dav1dTxfmMode Dav1dFrameHeader::txfm_mode

## ◆ type

enum Dav1dRestorationType Dav1dFrameHeader::type[3]

## ◆ uac_delta

int8_t Dav1dFrameHeader::uac_delta

## ◆ udc_delta

int8_t Dav1dFrameHeader::udc_delta

## ◆ uniform

uint8_t Dav1dFrameHeader::uniform

## ◆ unit_size

uint8_t Dav1dFrameHeader::unit_size[2]

## ◆ update [1/2]

uint8_t Dav1dFrameHeader::update

## ◆ update [2/2]

uint16_t Dav1dFrameHeader::update

## ◆ update_data

uint8_t Dav1dFrameHeader::update_data

## ◆ update_map

uint8_t Dav1dFrameHeader::update_map

## ◆ use_ref_frame_mvs

uint8_t Dav1dFrameHeader::use_ref_frame_mvs

## ◆ uv_strength

uint8_t Dav1dFrameHeader::uv_strength[DAV1D_MAX_CDEF_STRENGTHS]

## ◆ vac_delta

int8_t Dav1dFrameHeader::vac_delta

## ◆ vdc_delta

int8_t Dav1dFrameHeader::vdc_delta

## ◆ warp_motion

uint8_t Dav1dFrameHeader::warp_motion

## ◆ width

int Dav1dFrameHeader::width[2]

## ◆ width_scale_denominator

uint8_t Dav1dFrameHeader::width_scale_denominator

## ◆ y_strength

uint8_t Dav1dFrameHeader::y_strength[DAV1D_MAX_CDEF_STRENGTHS]

## ◆ yac

uint8_t Dav1dFrameHeader::yac

## ◆ ydc_delta

int8_t Dav1dFrameHeader::ydc_delta

The documentation for this struct was generated from the following file:

- dav1d/headers.h